
From: Brian Gerst <bgerst@didntduck.org>

Process modules in sorted order during modpost and modules install.

Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/scripts/Makefile.modinst |    2 +-
 25-akpm/scripts/Makefile.modpost |    2 +-
 2 files changed, 2 insertions(+), 2 deletions(-)

diff -puN scripts/Makefile.modinst~kbuild-sort-modules-for-modpost-and-modinst scripts/Makefile.modinst
--- 25/scripts/Makefile.modinst~kbuild-sort-modules-for-modpost-and-modinst	Thu Jul  1 13:38:55 2004
+++ 25-akpm/scripts/Makefile.modinst	Thu Jul  1 13:38:55 2004
@@ -9,7 +9,7 @@ include scripts/Makefile.lib
 
 #
 
-__modules := $(shell head -q -n1 /dev/null $(wildcard $(MODVERDIR)/*.mod))
+__modules := $(sort $(shell head -q -n1 /dev/null $(wildcard $(MODVERDIR)/*.mod)))
 modules := $(patsubst %.o,%.ko,$(wildcard $(__modules:.ko=.o)))
 
 .PHONY: $(modules)
diff -puN scripts/Makefile.modpost~kbuild-sort-modules-for-modpost-and-modinst scripts/Makefile.modpost
--- 25/scripts/Makefile.modpost~kbuild-sort-modules-for-modpost-and-modinst	Thu Jul  1 13:38:55 2004
+++ 25-akpm/scripts/Makefile.modpost	Thu Jul  1 13:38:55 2004
@@ -41,7 +41,7 @@ include scripts/Makefile.lib
 symverfile := $(objtree)/Module.symvers
 
 # Step 1), find all modules listed in $(MODVERDIR)/
-__modules := $(shell head -q -n1 /dev/null $(wildcard $(MODVERDIR)/*.mod))
+__modules := $(sort $(shell head -q -n1 /dev/null $(wildcard $(MODVERDIR)/*.mod)))
 modules   := $(patsubst %.o,%.ko, $(wildcard $(__modules:.ko=.o)))
 
 _modpost: $(modules)
_
